# Biology Documentation

This directory contains documentation related to biological concepts and tools used in our tools. These are very important to understand the underlying principles of the tools and the data they generate, and also about various tools that exist in today's world for better understanding of biological systems.

## Contents

1. [Introduction to Computational Biology](into_to_compbio.md) - A brief introduction to the field of Computational Biology.
2. [Basics into Proteins](proteins.md) - What are proteins and basic concepts related to them.
3. [Important File Types used in Computational Biology](important_filetypes.md) - Overview of the file types used in Computational Biology like PDB, PQR, DX, CUBE, etc.
4. [Force Fields](forcefield.md) - Introduction to force fields used in Electrostatics and Molecular Dynamics simulations.
5. [SASA Calculations](SASA_Calculations.md) - Calculation of Solvent Accessible Surface Area of a protein.
6. [PBEQ-Tools](PBEQ-Tools.md) - Other tools used in Computational Biology for protein analysis and visualization.
7. [Electrostatic Gradient Calculation](electrostatic_gradient.md) - Calculation of Electrostatic Potential Gradient as used in BEPT.
8. [Resources](resources.md) - More resources and links to learn about Computational Biology and related tools.
