# Resources

These are some of the resources for reading basic about Computational Biology, APBS and IMPROVISeD project.
These resources can range from articles, documentations to Research Papers. Various references of papers will also be mentioned in this file(or be taken from mentioned links)

## Computational Biology'

- https://nvlpubs.nist.gov/nistpubs/jres/094/jresv94n1p85_A1b.pdf
- Ten simple rules collection - https://widdowquinn.github.io/ten_great_papers/
- https://link.springer.com/protocol/10.1007/978-1-59745-524-4_7 (use iisc mail id for access if required)

## APBS and PDB2PQR

1. Official Documentation APBS - https://apbs.readthedocs.io/en/latest/background.html
2. https://www.poissonboltzmann.org/
3. Understanding Algorithms of pdb2pqr: https://pdb2pqr.readthedocs.io/en/latest/using/index.html#examples-and-algorithms
4. For a curated list for commands for input file, refer: https://ics.uci.edu/~dock/manuals/apbs/html/user-guide/x674.html
5. To understand more about file structures of pqr/others, refer: https://userguide.mdanalysis.org/stable/formats/reference/pqr.html
6. For understanding .dx file structure, refer: https://ics.uci.edu/~dock/manuals/apbs/html/user-guide/x2674.html

## Softwares in Usage for Visualisations

1. Pymol (Primary)
2. UCSF Chimera
3. Web Servers of APBS

## Libraries and Open Source Repositories for Computations

1. APBS - https://github.com/Electrostatics/apbs
2. PDB2PQE - https://github.com/Electrostatics/pdb2pqr
